Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008329 [DCSS] Bug Report minor N/A 2014-03-28 21:22 2014-05-17 16:08
Reporter dtsund View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status resolved   Product Branch 0.14 ancient branch
Summary 0008329: mons_has_los_ability misses some cases
Description Looking at mons_has_los_ability, the function fails to return true for sirens and ghost moths. This was probably causing some AI quirks subtle enough to go unnoticed for a long time.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0026192)
MarvinPA (developer)
2014-05-17 16:08

Fixed, thanks for reporting. Sirens are already covered under the mermaid genus check (they might not have been in the past though, I forget if their genus changed recently).

- Issue History
Date Modified Username Field Change
2014-03-28 21:22 dtsund New Issue
2014-04-03 19:42 MarvinPA Issue Monitored: MarvinPA
2014-05-17 16:08 MarvinPA Note Added: 0026192
2014-05-17 16:08 MarvinPA Status new => resolved
2014-05-17 16:08 MarvinPA Fixed in Branch => 0.15 development branch
2014-05-17 16:08 MarvinPA Resolution open => done
2014-05-17 16:08 MarvinPA Assigned To => MarvinPA
2014-05-17 16:08 MarvinPA Issue End Monitor: MarvinPA


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker